wxWidgets: wxFileTranslationsLoader Class Reference

| Version: 3.1.5

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
wxFileTranslationsLoader Class Reference

`#include </cygdrive/c/Users/Hamis/Cygwin-packaging/wxWidgets3.1/wxWidgets3.1-3.1.5-4.x86_64/src/wxWidgets-3.1.5/interface/wx/translation.h>`

Inheritance diagram for wxFileTranslationsLoader:
[legend]

## Detailed Description

Standard wxTranslationsLoader implementation.

This finds catalogs in the filesystem, using the standard Unix layout. This is the default unless you change the loader with wxTranslations::SetLoader().

Catalogs are searched for in standard places (system locales directory, LC_PATH on Unix systems, Resources subdirectory of the application bundle on macOS, executable's directory on Windows), but you may also prepend additional directories to the search path with AddCatalogLookupPathPrefix().

Since
  2.9.1

## Static Public Member Functions
static void | AddCatalogLookupPathPrefix (const wxString &prefix)
| Add a prefix to the catalog lookup path: the message catalog files will be looked up under prefix/lang/LC_MESSAGES and prefix/lang directories (in this order).

## Additional Inherited Members
Public Member Functions inherited from wxTranslationsLoader
| wxTranslationsLoader ()
| Trivial default constructor.
virtual wxMsgCatalog * | LoadCatalog (const wxString &domain, const wxString &lang)=0
| Called to load requested catalog.
virtual wxArrayString | GetAvailableTranslations (const wxString &domain) const =0
| Implements wxTranslations::GetAvailableTranslations().

## Member Function Documentation

## ◆ AddCatalogLookupPathPrefix()

void wxFileTranslationsLoader::AddCatalogLookupPathPrefix | ( | const wxString & | prefix | ) |
| static

Add a prefix to the catalog lookup path: the message catalog files will be looked up under prefix/lang/LC_MESSAGES and prefix/lang directories (in this order).

This only applies to subsequent invocations of wxTranslations::AddCatalog().